EDIT - bug #6163

can't add media to observation/specimen anymore
10/25/2016 10:08 AM - Gabriele Drége

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 30%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal Found in Version:

Description

Use case: entering an observation with image
Problems: can't choose "Observation” when using the new Specimen Explorer

Workaround: used the bulk editor, worked so far

login : g.droege
editor version : 4.3.0

server : api.cybertaxonomy.org / cybertaxonomy.org
schema version : 4.0.0.0.201604200000
os : Windows 7 6.1 amdé64
java : 1.7.0_75
java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ui.section.media.MediaMetaElement.handleEvent (MediaMetaElement. java:
123)

at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement.propertyChange (AbstractEn
tityCollectionElement.java:193)

at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEvent (AbstractCd
mFormElement. java:235)

at eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement .modifyText (TextWithLabelElement. java
:183)

at eu.etaxonomy.taxeditor.ui.element.LanguageStringWithLabelElement .modifyText (LanguageStringW
ithLabelElement. java:94)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:179)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1077)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1058)

at org.eclipse.swt.widgets.Text.wmCommandChild (Text.java:2610)

at org.eclipse.swt.widgets.Control.WM_COMMAND (Control.java:4669)

at org.eclipse.swt.widgets.Control.windowProc (Control. java:4531)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:4972)

at org.eclipse.swt.internal.win32.0S.CallWindowProcW (Native Method)

at org.eclipse.swt.internal.win32.0S.CallWindowProc (0S.java:2425)

at org.eclipse.swt.widgets.Text.callWindowProc (Text.java:255)

at org.eclipse.swt.widgets.Control.windowProc (Control.java:4623)

at org.eclipse.swt.widgets.Text.windowProc (Text. java:2254)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:4972)

at org.eclipse.swt.internal.win32.0S.DispatchMessageW (Native Method)

at org.eclipse.swt.internal.win32.0S.DispatchMessage (0S.java:2531)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3752)

at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench. java:2701)

at org.eclipse.ui.internal.Workbench.runUI (Workbench.java:2665)

at org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)
at org.
at org.
at org.
at org.

eclipse.
eclipse.
eclipse.
eclipse.

ui.internal.Workbench$7.run (Workbench. java:679)
core.databinding.observable.Realm.runWithDefault (Realm. java:332)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org
at org

.eclipse
.eclipse

her.java:110)

at org
79)

at org.
at org.
at sun.
at sun.
at sun.

.eclipse.

reflect
reflect

eclipse.
eclipse.

reflect.

.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
.core.runtime.internal.adaptor.EclipseApplLauncher.runApplication (EclipseAppLaunc

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
.NativeMethodAccessorImpl.invokeO (Native Method)
.NativeMethodAccessorImpl.invoke (Unknown Source)
DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)
at org.eclipse.equinox.launcher.Main.run(Main.java:1410)

Associated revisions

Revision b04853ae - 10/25/2016 10:42 AM - Katja Luther

ref #6163: in occurence bulk editor it is possible to add media

History

#1 - 10/25/2016 10:43 AM - Katja Luther

As a first step, | activated the possibility to add media to occurence data in the bulk editor.

#2 - 12/10/2016 01:27 PM - Gabriele Droge

- Tags set to corvidae

#3 - 12/19/2022 10:24 AM - Andreas Miiller

- Tags changed from corvidae to corvidae, media, fast

- Target version changed from Unassigned CDM tickets to Release 5.44

Is this still an open issue?

#4 - 08/21/2023 02:06 PM - Katja Luther

Andreas Muller wrote in #note-3:

Is this still an open issue?

"Use case: entering an observation with image

Problems: can't choose "Observation" when using the new Specimen Explorer"

Is still an open issue.

"Problem: adding a media to a specimen/observation is still not working

Workaround: added this observation as a feature to my taxon"

This is fixed in tree view.

#5 - 08/28/2023 12:49 PM - Andreas Miuller

- Description updated

- % Done changed from 0 to 30

What is about the stacktrace issue?

#6 - 08/28/2023 12:49 PM - Andreas Miiller
- Description updated

#7 - 08/28/2023 12:56 PM - Katja Luther

Andreas Muller wrote in #note-5:

What is about the stacktrace issue?

| can not reproduce this NPE when creating a new media element, either as MediaSpecimen nor as Media attached in media gallery.

#8 - 08/28/2023 01:19 PM - Andreas Miiller

- Description updated
